the answer for all question about Oxygen Builder plugin and WordPress

=== Oxygen Builder – Vultr Hosting – OpenLiteSpeed WordPress – PHP 8.0 & PHP 7.4


=== Oxygen Builder – Vultr Hosting – OpenLiteSpeed WordPress – PHP 8.0 & PHP 7.4 ===

So I recently setup a Vultr OpenLiteSpeed WordPress server only to find out that it defaults to php8. Oxygen, as of this post, is not compatible with php8.

So – instructions on how to downgrade:

1) SSH into your server

2) Install php 7.4 for OpenLiteSpeed:
# sudo apt install -y lsphp74 lsphp74-apcu lsphp74-common lsphp74-curl lsphp74-dbg lsphp74-dev lsphp74-igbinary lsphp74-imagick lsphp74-imap lsphp74-intl lsphp74-ioncube lsphp74-json lsphp74-ldap lsphp74-memcached lsphp74-modules-source lsphp74-msgpack lsphp74-mysql lsphp74-opcache lsphp74-pear lsphp74-pgsql lsphp74-pspell lsphp74-redis lsphp74-snmp lsphp74-sqlite3 lsphp74-sybase lsphp74-tidy

3) Edit the config file to change the php version:
# nano /usr/local/lsws/conf/httpd_config.conf

4) Look for “extProcessor lsphp” and within that find the line with “Path”.

5) Replace lsphp80 with lsphp74, save and exit

6) Reboot everything:
# killall -9 lsphp
# systemctl restart lsws

7) Confirm with your WordPress Site Health Info tab -> Server.

Done. Hope that helps


Source

Leave A Reply

Your email address will not be published.

Oxyrealm Docs